Main Page Widgets Namespaces Book

# Pango::AttributeTraits Struct Reference

List of all members.

## Public Types

typedef Pango::Attribute | CppType
typedef const PangoAttribute* | CType
typedef PangoAttribute* | CTypeNonConst

## Static Public Member Functions

static void | release_c_type (CType ptr)
static CType | to_c_type (CType ptr)
static CType | to_c_type (const CppType& obj)
static CppType | to_cpp_type (CType ptr)

## Member Typedef Documentation

typedef Pango::Attribute Pango::AttributeTraits::CppType

typedef const PangoAttribute* Pango::AttributeTraits::CType

typedef PangoAttribute* Pango::AttributeTraits::CTypeNonConst

## Member Function Documentation

static void Pango::AttributeTraits::release_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Pango::AttributeTraits::to_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Pango::AttributeTraits::to_c_type | ( | const CppType& | obj | ) | `[inline, static]`

static CppType Pango::AttributeTraits::to_cpp_type | ( | CType | ptr | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- attributes.h